Name:           gnuhealth
Version:        1.6.1
Release:        1%{?dist}
Summary:        The free Health and Hospital Information System

License:        GPLv3
URL:           	http://health.gnu.org/ 
Source0:        http://ftp.gnu.org/gnu/health/gnuhealth-%{version}.tar.gz

BuildRequires:	python-setuptools
BuildRequires:  trytond
Requires:       trytond

%description
GNU HEALTH is a free, centralized Health and Hospital Information
System that provides the following functionality :

    * Electronic Medical Record (EMR)
    * Hospital Information System (HIS)
    * Health Information System

The goal is to contribute with health professionals around the world
to improve the qua lity of life of the underprivileged, providing a
free system that optimizes health prom otion and disease prevention.


%prep
%setup -q
# does not come with setup.py yet
mv {,off-}health_services


%build
for mod in health health_*;
do
    pushd $mod
    %{__python} setup.py build
    popd
done


%install
for mod in health health_*;
do
    pushd $mod
    %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
    popd
done
mv {off-,}health_services
cp -pr health_services %{buildroot}%{python_sitelib}/trytond/modules/


%check
for mod in health health_*;
do
    pushd $mod
    %{__python} setup.py test
    popd
done


%files
%doc README
%{python_sitelib}/trytond/modules/health*
%{python_sitelib}/trytond_health*-%{version}-py*.egg*


%changelog
* Sat Jun  2 2012 Michel Salim <salimma@fedoraproject.org> - 1.6.1-1
- Initial package
